package containers.borderPaneEx;

import javafx.application.Application;
import javafx.fxml.FXMLLoader;
import javafx.stage.Stage;
import javafx.scene.Scene;
import javafx.scene.layout.Pane;

/**
 * Pohjelma BorderPanen esittelyyn. Mallilomake
 * luodaan FXML-tiedostosta lukemalla. 
 * @author vesal
 * @version 24.12.2015
 */
public class BorderPaneController extends Application {
    @Override
    public void start(Stage primaryStage) {
        try {
            Pane root = (Pane) FXMLLoader.load(getClass().getResource("BorderPaneView.fxml"));
            Scene scene = new Scene(root, 400, 400);
            primaryStage.setScene(scene);
            primaryStage.setTitle("BorderPane");
            primaryStage.show();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }


    /**
     * Kynnistetn sovellus
     * @param args kutsun parametrit, kytt riippuu Application luokasta
     */
    public static void main(String[] args) {
        launch(args);
    }
}
