package fxguiDialogs;
import fi.jyu.mit.fxgui.Dialogs;
import javafx.application.Application;
import javafx.stage.Stage;

@SuppressWarnings("javadoc")
public class InputMain extends Application {
	@Override
	public void start(Stage primaryStage) {
	    String kerhonNimi = Dialogs.showInputDialog("Anna kerhon nimi", "kelmit",
	            dlg -> dlg.getDialogPane().setPrefWidth(400));
	    if ( kerhonNimi != null ) {
	        boolean tallennetaan = Dialogs.showQuestionDialog(
	                "Kysymys", "Tallennetaanko " + kerhonNimi, "Kyll", "Ei",
	                dlg -> dlg.getDialogPane().setPrefWidth(200));
	        Dialogs.showMessageDialog(kerhonNimi + " " + tallennetaan,
	                dlg -> dlg.getDialogPane().setPrefWidth(400));
	    }
	}

	public static void main(String[] args) { launch(args); 	}
}
