package ristinolla;

import javafx.application.Application;
import javafx.stage.Stage;
import javafx.scene.Scene;
import javafx.scene.layout.Pane;
import javafx.fxml.FXMLLoader;


/**
 * @author vesal
 * @version 26.3.2016
 *
 */
public class RistiNollaMain extends Application {
    @Override
    public void start(Stage primaryStage) {
        try {
            FXMLLoader ldr = new FXMLLoader(getClass().getResource("RistiNollaView.fxml"));
            final Pane root = ldr.load();
            //final RistiNollaController ristinollaCtrl = (RistiNollaController) ldr.getController();
            Scene scene = new Scene(root);
            scene.getStylesheets().add(getClass().getResource("ristinolla.css").toExternalForm());
            primaryStage.setScene(scene);
            primaryStage.setTitle("RistiNolla");
            primaryStage.show();
        } catch(Exception e) {
            e.printStackTrace();
        }
    }

    /**
     * @param args Ei kytss
     */
    public static void main(String[] args) {
        launch(args);
    }
}