package fi.jyu.mit.fxgui;

import java.io.IOException;

import javafx.fxml.FXML;
import javafx.fxml.FXMLLoader;
import javafx.scene.control.Label;
import javafx.scene.control.TextField;
import javafx.scene.layout.AnchorPane;

public class EditPanel extends AnchorPane {
	
	  private final String resourcePath = "EditPanel.fxml";
	
	  @FXML private Label label;
	  @FXML private TextField edit;
	  	  
	  public EditPanel() {
		  /*
	        FXMLLoader loader = new FXMLLoader();
	        
	        loader.setController(this);
	        URL n = this.getViewURL();
	        loader.setLocation(n);
	 
	        try {
	            Node root = (Node) loader.load();
	            this.getChildren().add(root);
	        }
	        catch (IOException ex) {
	        	throw new RuntimeException(ex);
          }
          */
	     super();
        FXMLLoader fxmlLoader = new FXMLLoader(getClass().getResource(resourcePath));
        fxmlLoader.setRoot(this);
        fxmlLoader.setController(this);
        try {
            fxmlLoader.load();
        } catch (IOException exception) {
            throw new RuntimeException(exception);
        }
	  }

	  
	  public String getText() {
		  return edit.getText();
	  }
	  
	  
	  public void setText(String t) {
		  edit.setText(t);
	  }
	  
	  public TextField getEdit() {
		  return edit;
	  }
	  
	  public void setEdit(TextField edit) {
		  this.edit = edit;
	  }
	  
	  public double getLabelWidth() {
		  return AnchorPane.getLeftAnchor(edit);
	  }
	  
	  public void setLabelWidth(double w) {
		  AnchorPane.setLeftAnchor(edit,w);
	  }
	  
}
