package stringGridViewFXML;

import java.net.URL;
import java.util.ResourceBundle;

import javafx.application.Application;
import javafx.fxml.FXMLLoader;
import javafx.fxml.Initializable;
import javafx.scene.Scene;
import javafx.scene.layout.Pane;
import javafx.stage.Stage;

/**
 * Esimerkki 2-ulotteisen merkkijonotaulukon nyttmisest 
 * JavaFX:n TableViewss aliohjelman avulla.
 * Tiedostomrn vhentmiseksi normaalit pohjelman jutut
 * on kirjoitettu thn samaan luokkaan.
 * Muokkaukset eivt tss esimerkiss muuta itse taulukkoa.
 * @author vesal
 * @version 24.12.2015
 *
 */
public class StringGridViewController extends Application implements Initializable {

	@Override
	public void initialize(URL url, ResourceBundle bundle) {
        //		
	}

	
	// Normaalit pohjelmien jutut:
	
	@Override
	public void start(Stage primaryStage) {
		try {
			Pane root = (Pane)FXMLLoader.load(getClass().getResource("StringGridView.fxml"));
			Scene scene = new Scene(root,400,400);
			primaryStage.setScene(scene);
			primaryStage.show();
		} catch(Exception e) {
			e.printStackTrace();
		}
	}
	
	
	/**
	 * Kynnistetn esimerkkiohjelma
	 * @param args ei kytss
	 */
	public static void main(String[] args) {
		launch(args);
	}
}	

	
	

